Конфликты зависимостей MySQL

Я успешно установил сервер и агент Cloudera, но у меня проблемы с установкой MySQL.

Я установил локальный репозиторий для этой установки, поскольку мне требуется автономная установка.

Как разрешить конфликты для автономной установки? Я могу установить mysql успешно, если я подключен к Интернету.

[root@localhost repo]# yum install mysql-server Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile Resolving Dependencies --> Running transaction check ---> Package mysql-community-server.x86_64 0:5.7.16-1.el6 will be installed --> Processing Dependency: mysql-community-common(x86-64) = 5.7.16-1.el6 for package: mysql-community-server-5.7.16-1.el6.x86_64 --> Processing Dependency: mysql-community-client(x86-64) >= 5.7.9 for package: mysql-community-server-5.7.16-1.el6.x86_64 --> Processing Dependency: net-tools for package: mysql-community-server-5.7.16-1.el6.x86_64 --> Running transaction check ---> Package mysql-community-client.x86_64 0:5.7.16-1.el6 will be installed --> Processing Dependency: mysql-community-libs(x86-64) >= 5.7.9 for package: mysql-community-client-5.7.16-1.el6.x86_64 ---> Package mysql-community-common.x86_64 0:5.7.16-1.el6 will be installed ---> Package net-tools.x86_64 0:2.0-0.17.20131004git.el7 will be installed --> Running transaction check ---> Package mariadb-libs.x86_64 1:5.5.44-2.el7.centos will be obsoleted --> Processing Dependency: libmysqlclient.so.18()(64bit) for package: MySQL-python-1.2.3-11.el7.x86_64 --> Processing Dependency: libmysqlclient.so.18()(64bit) for package: 2:postfix-2.10.1-6.el7.x86_64 --> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: MySQL-python-1.2.3-11.el7.x86_64 --> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: 2:postfix-2.10.1-6.el7.x86_64 ---> Package mysql-community-libs.x86_64 0:5.7.16-1.el6 will be obsoleting --> Finished Dependency Resolution Error: Package: MySQL-python-1.2.3-11.el7.x86_64 (@cloudera-manager) Requires: libmysqlclient.so.18(libmysqlclient_18)(64bit) Removing: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (@anaconda) libmysqlclient.so.18(libmysqlclient_18)(64bit) Obsoleted By: mysql-community-libs-5.7.16-1.el6.x86_64 (cloudera-manager) Not found Error: Package: MySQL-python-1.2.3-11.el7.x86_64 (@cloudera-manager) Requires: libmysqlclient.so.18()(64bit) Removing: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (@anaconda) libmysqlclient.so.18()(64bit) Obsoleted By: mysql-community-libs-5.7.16-1.el6.x86_64 (cloudera-manager) ~libmysqlclient.so.20()(64bit) Error: Package: 2:postfix-2.10.1-6.el7.x86_64 (@anaconda) Requires: libmysqlclient.so.18(libmysqlclient_18)(64bit) Removing: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (@anaconda) libmysqlclient.so.18(libmysqlclient_18)(64bit) Obsoleted By: mysql-community-libs-5.7.16-1.el6.x86_64 (cloudera-manager) Not found Error: Package: 2:postfix-2.10.1-6.el7.x86_64 (@anaconda) Requires: libmysqlclient.so.18()(64bit) Removing: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (@anaconda) libmysqlclient.so.18()(64bit) Obsoleted By: mysql-community-libs-5.7.16-1.el6.x86_64 (cloudera-manager) ~libmysqlclient.so.20()(64bit) You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest 

One Solution collect form web for “Конфликты зависимостей MySQL”

У меня была такая же проблема, когда я поднимал экземпляр AWS RHEL.

MariaDB устанавливается с помощью deualt и вызывает некоторые конфликты.
Если вы только хотите использовать MySQL, просто удалите MariaDB:

 sudo yum remove mariadb-libs-5.5.44-2.el7.centos.x86_64 

Надеюсь это поможет 🙂

  • Может ли rpm вызывать внешний скрипт, хранящийся где-то в пакете во время установки?
  • Depsolving для php-pecl-zip
  • Как изменить каталог установки по умолчанию для команды rpmbuild?
  • Невозможно установить glibc и glibc-common, потому что они нужны друг другу
  • Как преобразовать двоичный установщик в rpm?
  • Проверьте повреждение rpmdb
  • Не удается установить Snort 2.9.6.1 из-за «Не совместимой архитектуры»,
  • Fedora 24: как получить скрипт wx-config, обнаруженный в службе сборки openSUSE?
  • Ошибка при ручной установке вручную в CentOS
  • Как я могу проверить, что ключ PGP импортирован в RPM?
  • Как переопределить заказ anaconda / kickstart?
  • Linux и Unix - лучшая ОС в мире.